Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\MVC\Symfony\Matcher\Block\Id\Zone Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Matcher\Block\Id\Zone:

## Public Member Functions
| matchBlock (PageBlock $block)
| Checks if a Block object matches. More...
| match (View $view)
| Matches the $view against a set of matchers. More...
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Matcher\Block\MultipleValued
| setMatchingConfig ($matchingConfig)
| Registers the matching configuration for the matcher. More...
| getValues ()
| Returns matcher's values. More...
| getRepository ()
Public Member Functions inherited from eZ\Publish\Core\MVC\RepositoryAware
| setRepository (Repository $repository)
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Matcher\Block\ViewMatcherInterface
| matchBlock (Block $block)
| Checks if a Block object matches. More...

## Additional Inherited Members
Protected Attributes inherited from eZ\Publish\Core\MVC\Symfony\Matcher\Block\MultipleValued
| $values
Protected Attributes inherited from eZ\Publish\Core\MVC\RepositoryAware
| $repository

## Detailed Description

Definition at line 14 of file MVC/Symfony/Matcher/Block/Id/Zone.php.

## Member Function Documentation

## ◆ match()

eZ\Publish\Core\MVC\Symfony\Matcher\Block\Id\Zone::match | ( | View | $view | ) |

Matches the $view against a set of matchers.

Parameters

  \eZ\Publish\Core\MVC\Symfony\View\View | $view |

Returns
  bool

Implements eZ\Publish\Core\MVC\Symfony\Matcher\ViewMatcherInterface.

Definition at line 28 of file MVC/Symfony/Matcher/Block/Id/Zone.php.

## ◆ matchBlock()

eZ\Publish\Core\MVC\Symfony\Matcher\Block\Id\Zone::matchBlock | ( | PageBlock | $block | ) |

Checks if a Block object matches.

Parameters

  \eZ\Publish\Core\FieldType\Page\Parts\Block | $block |

Returns
  bool

Definition at line 23 of file MVC/Symfony/Matcher/Block/Id/Zone.php.

The documentation for this class was generated from the following file:

- MVC/Symfony/Matcher/Block/Id/Zone.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.